<?php

declare(strict_types=1);

namespace App\Framework\Http\Session\Events;

use App\Framework\Http\Session\SessionId;

final readonly class FlashMessageAddedEvent
{
    public function __construct(
        public SessionId $sessionId,
        public string $type,
        public string $message,
        public int $timestamp
    ) {
    }
}
